Subject: Re: bug#17386: 24.3.90; emacs_abort in cmcheckmagic

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 May 2014 14:11:20 +0300

> Date: Mon, 05 May 2014 12:27:39 +0200
> From: Nicolas Richard <[email-masked]>
> CC: [email-masked]
> 
> Btw, I tried another experiment, using "cat", to see if SIGWINCH is sent~:
> 
> $ gdb cat
> (gdb) handle SIGWINCH print
> Signal        Stop	Print	Pass to program	Description
> SIGWINCH      No	Yes	Yes		Window size changed
> (gdb) r -
> Starting program: /bin/cat -
> warning: Could not load shared library symbols for linux-gate.so.1.
> Do you need "set solib-search-path" or "set sysroot"?
> 
> #### At this point I maximized then unmaximized the window.
> 
> Program received signal SIGWINCH, Window size changed.
> 
> Program received signal SIGWINCH, Window size changed.
> [Inferior 1 (process 21202) exited normally]
> (gdb) 
> 
> I tried the same with emacs but saw nothing:
> 
> $ gdb emacs 
> (gdb) handle SIGWINCH print
> Signal        Stop	Print	Pass to program	Description
> SIGWINCH      No	Yes	Yes		Window size changed
> (gdb) r -Q -nw
> Starting program: /usr/local/bin/emacs -Q -nw
> warning: Could not load shared library symbols for linux-gate.so.1.
> Do you need "set solib-search-path" or "set sysroot"?
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/lib/libthread_db.so.1".
> [New Thread 0xb6386b40 (LWP 21216)]
> [Thread 0xb673c880 (LWP 21212) exited]
> [Inferior 1 (process 21212) exited normally]
> (gdb) 
> 
> There's nothing to see on this transcript, but I did change the window
> size after running "r -Q -nw", just like with "cat" above, before
> exiting emacs. I don't know what this means.

I cannot reproduce this: I see GDB announcing SIGWINCH when Emacs runs
under tmux and the screen dimensions are changed.  I don't know what
you meant by "maximized then unmaximized the screen", but what I did
was to press 'C-b "' to split the screen in half, and then 'C-b !' to
join the halves into a single screen; both times GDB announced
SIGWINCH.